From 2d3fa726feba9719bd7380da44a1faac54b68c4f Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Mon, 8 Dec 2008 21:47:03 -0500
Subject: [PATCH] rpm: Pass host and build parameters to configure script.

The default values aren't sane in the gnueabi case.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 rpm.spec |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

diff --git a/rpm.spec b/rpm.spec
index 80736f5..07c4e10 100644
--- a/rpm.spec
+++ b/rpm.spec
@@ -18,7 +18,7 @@
 Summary: The RPM package management system
 Name: rpm
 Version: %{rpmver}
-Release: 0.%{snapver}.7.fa1
+Release: 0.%{snapver}.7.fa2
 Group: System Environment/Base
 Url: http://www.rpm.org/
 Source0: http://rpm.org/releases/testing/%{name}-%{srcver}.tar.bz2
@@ -201,6 +201,8 @@ export CPPFLAGS CFLAGS LDFLAGS
 # Using configure macro has some unwanted side-effects on rpm platform
 # setup, use the old-fashioned way for now only defining minimal paths.
 ./configure \
+    --host=%{_host} \
+    --build=%{_build} \
     --prefix=%{_usr} \
     --sysconfdir=%{_sysconfdir} \
     --localstatedir=%{_var} \
@@ -372,6 +374,9 @@ exit 0
 
 %changelog
 * Tue Dec 9 2008 Kedar Sovani <kedars@marvell.com
+- Fix for building on arm-gnueabi
+
+* Tue Dec 9 2008 Kedar Sovani <kedars@marvell.com
 - always lock the rpm database
 
 * Fri Oct 31 2008 Panu Matilainen <pmatilai@redhat.com>
-- 
1.5.3.3

